/****************************************************************
 * Monkey.h : Italk Monkey (user) class
 *
 * (c) 1997 Yutaka Oiwa.
 *
 * $Id: Monkey.h,v 1.1 1997/12/27 19:06:55 yutaka Exp $
 ****************************************************************/

#ifndef MONKEY_H
#define MONKEY_H
#include "Defines.h"

class ItalkServer;

class Monkey
{
public:
  char *who, *where, *status;
  ItalkServer *server;
  int no;

  Monkey(int no_, char *who_, char *where_, 
	 char *status_, ItalkServer *server_) {
    who = NewString(who_);
    where = NewString(where_);
    status = NewString(status_);
    server = server_;
    no = no_;
  }
  Monkey(Monkey &p) {
    who = NewString(p.who);
    where = NewString(p.where);
    status = NewString(p.status);
    server = p.server;
    no = p.no;
  }
  ~Monkey() {
    delete[] who;
    delete[] where;
    delete[] status;
  }
};

#endif
